<?php

namespace Drp\NativeEventApp\GraphQL\Queries;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Exceptions\NoAvailableContactDetails;

class AuthInfo
{
    //phpcs:ignore
    public function __invoke($rootValue, array $args): array
    {
        $authSource = AuthInfoFinder::get($args['authIdentifier'], $args['expiry'], $args['signature']);

        throw_if($authSource->contactDetails()->isEmpty(), NoAvailableContactDetails::class);

        return [
            'title' => config('native-event-app.details.application_name'),
            'contactMethods' => $authSource->contactDetails(),
            'minimumAppVersion' => $authSource->getMinimumVersion(),
        ];
    }
}
