<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class FloorPlan extends GraphQlModel
{
    /** @var string  */
    protected $table = 'floor_plans';

    public function venue(): BelongsTo
    {
        return $this->belongsTo(Venue::class, 'venueId');
    }

    public function locations(): HasMany
    {
        return $this->hasMany(Location::class, 'floorPlanId');
    }
}
