<?php

namespace Drp\NativeEventApp\Models;

use Drp\NativeEventApp\Database\TableName;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Menu extends GraphQlModel
{
    /** @var string */
    protected $table = 'menus';

    public function items(): BelongsToMany
    {
        return $this->belongsToMany(
            NavigatableItem::class,
            TableName::make('menu_items'),
            'menuId',
            'navigatableItemId'
        )->orderBy('order');
    }
}
