<?php

namespace Drp\NativeEventApp\Models;

use Drp\NativeEventApp\Database\TableName;
use Illuminate\Database\Eloquent\Model as EloquentModel;
use Illuminate\Support\Str;

abstract class Model extends EloquentModel
{
    /**
     * @param string $table
     * @return $this
     */
    public function setTable($table): self // phpcs:ignore
    {
        if (Str::startsWith($table, TableName::prefix())) {
            return $this;
        }

        $this->table = TableName::make($table);

        return $this;
    }

    public function getTable(): string
    {
        return TableName::make($this->table) ?? Str::snake(Str::pluralStudly(class_basename($this)));
    }
}
