<?php

namespace Drp\NativeEventApp\Models;

use Drp\NativeEventApp\Models\Concerns\Destinationable;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class NavigatableItem extends GraphQlModel
{
    use Destinationable;

    /** @var array */
    protected $guarded = [];

    /** @var string */
    protected $table = 'navigatable_items';

    public static function getPageClass(): string
    {
        return Page::class;
    }

    public function destination(): MorphTo
    {
        return $this->morphTo('destination', 'destinationType', 'destinationId');
    }
}
