<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class QuizAnswer extends GraphQlModel
{
    /** @var string  */
    protected $table = 'quiz_answers';

    public function quizQuestion(): BelongsTo
    {
        return $this->belongsTo(QuizQuestion::class, 'quizQuestionId');
    }

    public function scopeOnlyCorrect(Builder $query): Builder
    {
        return $query->where('isCorrect', true);
    }
}
