<?php

namespace Drp\NativeEventApp\Models;

use Drp\NativeEventApp\Quiz\QuestionOperatorProxy;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

/**
 * @property \Drp\NativeEventApp\Models\Quiz $quiz
 * @property-read \Drp\NativeEventApp\Quiz\QuestionOperatorProxy $operator
 */
class QuizQuestion extends GraphQlModel
{
    /** @var string  */
    protected $table = 'quiz_questions';

    public function quiz(): BelongsTo
    {
        return $this->belongsTo(Quiz::class, 'quizId');
    }

    public function answers(): HasMany
    {
        return $this->hasMany(QuizAnswer::class, 'quizQuestionId');
    }

    public function correctAnswers(): HasMany
    {
        return $this->answers()->onlyCorrect();
    }

    public function getOperatorAttribute(): QuestionOperatorProxy
    {
        return new QuestionOperatorProxy($this->quiz, $this);
    }
}
