<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\Pivot;

class SegmentRegistration extends Pivot
{
    protected $table = 'nea_segments_registrations';

    protected $fillable = ['registration_id', 'segment_id'];

    public function registration(): BelongsTo
    {
        return $this->belongsTo(Registration::class, 'registration_id');
    }

    public function segment(): BelongsTo
    {
        return $this->belongsTo(Segment::class, 'segment_id');
    }
}
