<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Venue extends GraphQlModel
{
    /** @var string  */
    protected $table = 'venues';

    public function event(): BelongsTo
    {
        return $this->belongsTo(Event::class, 'eventId');
    }

    public function floorPlan(): HasOne
    {
        return $this->hasOne(FloorPlan::class, 'venueId');
    }
}
