<?php

namespace Drp\NativeEventApp\Modules\Types\Form;

use Drp\NativeEventApp\Enums\FormAction;
use Drp\NativeEventApp\Modules\Module;

/**
 * @method static make(string $label, FormAction $action): Button
 */
class Button extends Module
{
    /** @var string */
    public $label;

    /** @var FormAction */
    public $action;

    /**
     * @param FormAction|string $action
     */
    public function __construct(string $label, $action)
    {
        $this->label = $label;
        $this->action = $action instanceof FormAction ? $action : new FormAction($action);
    }

    public static function getDescription(): string
    {
        return 'A form submission button';
    }

    /**
     * @return mixed
     */
    public function serializeAction(): string
    {
        return (string) $this->action;
    }
}
