<?php

namespace Drp\NativeEventApp\Modules\Types\Form;

use Drp\NativeEventApp\Modules\SerializableValidator;
use Drp\NativeEventApp\Modules\Types\Container;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Support\Facades\Validator as ValidatorFacade;

/**
 * @method static make(string $identifier): Form
 */
class Form extends Container
{
    /** @var string */
    public $identifier;

    /** @var Validator */
    public $validator;

    public function __construct(string $identifier)
    {
        $this->identifier = $identifier;
    }

    public static function getDescription(): string
    {
        return 'A form container';
    }

    public function validator(Validator $validator): self
    {
        $this->validator = $validator;

        return $this;
    }

    /**
     * @param array|Validator $validator
     * @return $this
     */
    public function setValidator($validator): self
    {
        if (is_array($validator)) {
            $validator = ValidatorFacade::make([], $validator['rules'], $validator['messages']);
        }

        $this->validator = $validator;

        return $this;
    }

    /**
     * @return mixed
     */
    public function serializeValidator(): SerializableValidator
    {
        return new SerializableValidator($this->validator);
    }
}
