<?php

namespace Drp\NativeEventApp\Quiz\Facades;

use Drp\NativeEventApp\Quiz\QuizOperatorManager;
use Drp\NativeEventApp\Test\Support\Fakes\FakeQuizOperator;
use Illuminate\Support\Facades\Facade;

// phpcs:disable
/**
 * @method static create(\Drp\NativeEventApp\Models\Quiz $quiz)
 * @method static start(\Drp\NativeEventApp\Models\Quiz $quiz)
 * @method static end(\Drp\NativeEventApp\Models\Quiz $quiz)
 * @method static delete(\Drp\NativeEventApp\Models\Quiz $quiz)
 * @method static startQuestion(\Drp\NativeEventApp\Models\Quiz $quiz, \Drp\NativeEventApp\Models\QuizQuestion $question)
 * @method static endQuestion(\Drp\NativeEventApp\Models\Quiz $quiz, \Drp\NativeEventApp\Models\QuizQuestion $question)
 * @method static revealAnswer(\Drp\NativeEventApp\Models\Quiz $quiz, \Drp\NativeEventApp\Models\QuizQuestion $param)
 */
// phpcs:enable

class QuizOperator extends Facade
{
    public static function getFacadeAccessor(): string
    {
        return QuizOperatorManager::class;
    }

    public static function fake(): FakeQuizOperator
    {
        return tap(new FakeQuizOperator, static function (FakeQuizOperator $driver): void {
            self::swap($driver);
        });
    }
}
