<?php

namespace Drp\NativeEventApp\Resolvers;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Test\Support\Models\Registration;
use Illuminate\Support\Collection;

class PagesResolver
{
    public function __invoke(Event $event): Collection
    {
        $authenticatable = AuthInfoFinder::current();
        /** @var Registration $registration */
        $registration = Registration::forEventAndAuthenticatable($event, $authenticatable)->first();

        return $event->pages()->segmented($registration)->get();
    }
}
