<?php

namespace Drp\NativeEventApp\Test\Support;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Models\Registration;
use Drp\NativeEventApp\Test\Support\Fakes\Registration as FakeRegistration;
use Illuminate\Support\Carbon;
use Laravel\Passport\AuthCode;

trait InteractsWithAuth
{
    /**
     * @return array|string
     */
    public function createAccessToken(string $field)
    {
        $this->user = factory(Registration::class)->create();
        $fakeRegistration = new FakeRegistration();
        $userResolver = function () use ($fakeRegistration): FakeRegistration {
            return $fakeRegistration;
        };
        AuthInfoFinder::setAuthResolver($userResolver);
        AuthInfoFinder::setCurrentUserResolver($userResolver);

        $authCode = AuthCode::create([
            'id' => 1234,
            'user_id' => $this->user->id,
            'client_id' => config('native-event-app.api.client_id'),
            'revoked' => false,
            'expires_at' => Carbon::parse('+1 day'),
        ]);

        $token = app(TokenGenerator::class)->createToken($authCode, $fakeRegistration->getId());

        return $field ? $token[$field] : $token;
    }
}
