<?php

namespace Drp\NativeEventApp\Test\Support;

use Drp\NativeEventApp\Auth\AuthInfoFinder;
use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Test\Support\Fakes\Registration;

trait InteractsWithEvents
{
    public function registerFakeEvent(?Event $event = null): array
    {
        $this->event = $event ?? factory(Event::class)->create();
        $this->user = (new Registration())->setEvents(collect([$this->event]));
        $this->actingAs($this->user, 'api');

        AuthInfoFinder::setCurrentUserResolver(function (): Registration {
            return $this->user;
        });

        return [$this->user, $this->event];
    }
}
