<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQuizzesTable extends TableMigration
{
    public function tableName(): string
    {
        return 'quizzes';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('eventId');
            $table->string('title')->nullable();
            $table->string('type')->nullable();
            $table->dateTime('enabled_at')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
