<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegistrationsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'registrations';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table): void {
            $table->increments('id');
            $table->string('title')->nullable();
            $table->string('firstName')->nullable();
            $table->string('surname')->nullable();
            $table->string('email')->nullable();
            $table->string('phone')->nullable();
            $table->text('meta')->nullable();
            $table->unsignedBigInteger('eventId');
            $table->unsignedBigInteger('authId');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
