<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Auth\ContactDetails;
use Drp\NativeEventApp\Enums\AuthMethod;
use Drp\NativeEventApp\Test\Support\Fakes\Registration;
use Drp\NativeEventApp\Test\TestCase;

class HasAuthMethodsTest extends TestCase
{
    /**
     * @test
     */
    public function returns_available_auth_methods()
    {
        $registration = new Registration;
        tap($registration->contactDetails(), function (ContactDetails $contactDetails) {
            $this->assertEquals(AuthMethod::SMS, $contactDetails->get(AuthMethod::SMS)->method);
            $this->assertEquals('777', $contactDetails->get(AuthMethod::SMS)->obfuscated());
            $this->assertEquals(AuthMethod::EMAIL, $contactDetails->get(AuthMethod::EMAIL)->method);
            $this->assertEquals('t**t@example.com', $contactDetails->get(AuthMethod::EMAIL)->obfuscated());
        });
    }

    /**
     * @test
     */
    public function can_route_to_mail()
    {
        $registration = new Registration;
        $this->assertEquals('test@example.com', $registration->routeNotificationForMail());
    }

    /**
     * @test
     */
    public function can_route_to_sms()
    {
        $registration = new Registration;
        $this->assertEquals('447725854777', $registration->routeNotificationForNexmo());
    }
}
