<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Modules;
use Drp\NativeEventApp\Modules\Types\Actions\Action;
use Drp\NativeEventApp\Modules\Types\SimpleContainer;
use Drp\NativeEventApp\Modules\Types\Touchable;
use Drp\NativeEventApp\Test\TestCase;

class TouchableTest extends TestCase
{
    /** @test */
    public function tracks_on_press()
    {
        $touchable = Touchable::make()->onPress(Action::navigate(1));

        $this->assertEquals([
            'onPress' => ['type' => 'NAVIGATE_PUSH', 'payload' => ['id' => 1]],
            'styles' => [],
            'className' => [],
            'children' => Modules::make(),
        ], $touchable->getAttributes());
    }

    /** @test */
    public function is_serializable()
    {
        $touchable = Touchable::make()->onPress(Action::openModel(1));

        $serializedModule = json_encode([$touchable]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(Touchable::class, $module);
        $this->assertEquals(Action::MODAL_OPEN, $module->onPress->type());
        $this->assertEquals(['id' => 1], $module->onPress->payload());
    }
}
